Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.tree2
Class TreeStateBase

    java.lang.Object
      org.apache.myfaces.custom.tree2.TreeStateBase

All Implemented Interfaces:
  java.io.Serializable, TreeState

public class TreeStateBase
extends java.lang.Object
implements TreeState

See Also:
  Serialized Form

Constructor Summary
`TreeStateBase()`

Method Summary
`void` | `collapsePath(java.lang.String[] nodePath)` Collapse the complete path specified.
`void` | `expandPath(java.lang.String[] nodePath)` Expand the complete path specified.
`boolean` | `isNodeExpanded(java.lang.String nodeId)` Indicates whether or not the specified `TreeNode` is expanded.
`boolean` | `isTransient()` Getter for transient property.
`void` | `setTransient(boolean trans)` Setter for transient property
`void` | `toggleExpanded(java.lang.String nodeId)` Toggle the expanded state of the specified `TreeNode`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeStateBase

    public TreeStateBase()

Method Detail

### isNodeExpanded

    public boolean isNodeExpanded(java.lang.String nodeId)

  Description copied from interface: `TreeState`
  Indicates whether or not the specified `TreeNode` is expanded.

  Specified by:
    `isNodeExpanded` in interface `TreeState`
  Parameters:
    `nodeId` - The id of the node in question.
  Returns:
    If the node is expanded.

### toggleExpanded

    public void toggleExpanded(java.lang.String nodeId)

  Description copied from interface: `TreeState`
  Toggle the expanded state of the specified `TreeNode`.

  Specified by:
    `toggleExpanded` in interface `TreeState`
  Parameters:
    `nodeId` - The id of the node whose expanded state should be toggled.

### isTransient

    public boolean isTransient()

  Description copied from interface: `TreeState`
  Getter for transient property.

  Specified by:
    `isTransient` in interface `TreeState`
  Returns:
    boolean

### setTransient

    public void setTransient(boolean trans)

  Description copied from interface: `TreeState`
  Setter for transient property

  Specified by:
    `setTransient` in interface `TreeState`
  Parameters:
    `trans` - boolean

### expandPath

    public void expandPath(java.lang.String[] nodePath)

  Description copied from interface: `TreeState`
  Expand the complete path specified. If any node in the path is already expanded, that node should be left as it is.

  Specified by:
    `expandPath` in interface `TreeState`
  Parameters:
    `nodePath` - The path to be expanded.

### collapsePath

    public void collapsePath(java.lang.String[] nodePath)

  Description copied from interface: `TreeState`
  Collapse the complete path specified. If any node in the path is already collapsed, that node should be left as it is.

  Specified by:
    `collapsePath` in interface `TreeState`
  Parameters:
    `nodePath` - The path to be collapsed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD